import {CustomJoke} from "../../model/CustomJoke";
import {SampleJoke} from "../../model/SampleJoke";
import {Action} from "redux";
import {ActionType} from "../actions/JokeAction";
import {Category} from "../../model/Category";

interface State {
    categories: Category[];
    jokes: SampleJoke[];
    favoriteJokes: SampleJoke[];
    joke : SampleJoke;
}

const initialState = {
    categories: [],
    jokes: [],
    favoriteJokes: [],
    joke: new SampleJoke(1, "", "", "", ""),
}

const appReducer = (state: State = initialState, action: Action) => {
    switch (action.type) {
        case ActionType.FETCH_JOKES:
            // @ts-ignore
            return {...state, jokes: action.payload};
        case ActionType.FETCH_CATEGORIES:
            // @ts-ignore
            return {...state, categories: action.payload};
        case ActionType.FETCH_JOKES_BY_ID:
            // @ts-ignore
            return {...state, joke: action.payload}
        default:
            return state;
    }
}

export default appReducer;