import '../types/extension';
import {StyleSheet, View} from "react-native";
import {purpleColor} from "../assets/Theme";
import {useDispatch, useSelector} from "react-redux";
import React, {useEffect} from "react";
import { getJokeById } from "../redux/thunk/RecentsJokesThunk";
import JokeDetail from "../components/JokeDetail";

export default function JokeDetailsScreen({route}) {
    const idJokeDetail = route.params.idJoke;
    // @ts-ignore
    const joke = useSelector(state => state.appReducer.joke);
    const dispatch = useDispatch();

    useEffect(() => {
        const loadJoke = async () => {
            // @ts-ignore
            await dispatch(getJokeById(idJokeDetail));
        };
        loadJoke();
    }, [dispatch]);
    return (
        <View style={styles.container}>
            <JokeDetail joke={joke}/>
        </View>
    )
};

const styles = StyleSheet.create({
    container: {
        backgroundColor: purpleColor,
        flex:1,
    }
});